<?php
/*
Plugin Name: WordPressLAB Popup
Plugin URI: http://www.wordpresslab.co.kr/
Description: 한국 워드프레스 LAB 에서 Custom Content Type 을 이용한 한국식 팝업 플러그인 입니다. 
Author: DK Kim
Author URI: http://www.wordpresslab.co.kr
Version: 0.6
*/
require_once 'metabox-popup.php';

add_action('init','wordpresslab_popup_script');

function wordpresslab_popup_script() {
    wp_enqueue_script('jquery');
    wp_enqueue_script("jquery-cookie", plugins_url('jquery.cookie.js',__FILE__), array(), '0');
}

add_action('wp_footer','wordpresslab_popup');

function wordpresslab_popup() {

    if( is_home() ) {
        $localtime = current_time( 'timestamp' );
        $today = date( 'Ymd', $localtime );

        $args = array(
                'post_type' => 'popups',
                'post_status' => 'publish',
                'meta_query' => array(
                        array(
                                'key' => 'ecpt_start_date',
                                'value' => $localtime,
                                'type' => 'NUMERIC',
                                'compare' => '<='
                                ),
                        array(
                                'key' => 'ecpt_end_date',
                                'value' => $localtime,
                                'type' => 'NUMERIC',
                                'compare' => '>='
                                )
                        )
                );
        
        $query = new WP_Query( $args );
        //$query = new WP_Query( array( 'post_type'=>'popups', 'post_status'=>'publish' ) );
        //print_r($query);
        
        
            if( $query->have_posts() ) {
            while( $query->have_posts() ) {
                $query->the_post();
                $today_key = 'popup_'.$today.'_'.get_the_ID();
                
                //$_COOKIE[$today_key] = '';
                
                $top    = get_post_meta( get_the_ID(), 'ecpt_popup_top', true);
                $left   = get_post_meta( get_the_ID(), 'ecpt_popup_left', true);
                $width  = get_post_meta( get_the_ID(), 'ecpt_popup_width', true);
                $height = get_post_meta( get_the_ID(), 'ecpt_popup_height', true) + 32;
                
                if($_COOKIE[$today_key]=='') {
                    $html_title = sprintf('<div class="popup_title" style="font-size:12px;line-height:32px;border-bottom:1px solid #777;padding:0 10px;">%s</div>', get_the_title() );
                    $html_title = '';
                    $html_close = '<div class="popup_close" style="text-align:right:font-size:12px;line-height:32px;background:#ccc;padding:0 10px;"><span>Popup Close <a href="javascript:popup_close('.get_the_id().')">[X]</a></span><span style="float:right;">Today Close <a href="javascript:today_close('.get_the_id().')">[X]</a></span></div>';
                    printf('<div id="popup_%s" style="z-index:99999;font-size:12px;position:absolute;top:%dpx;left:%dpx;width:%dpx;height:%dpx;border:%spx solid %s;background:#fff;overflow:hidden;">%s<div class="popup_content" style="margin:0;padding:0;">%s</div>%s</div>',
                            get_the_id(),
                            $top,
                            $left,
                            $width,
                            $height,
                            1,
                            '#777',
                            $html_title,
                            get_the_content(),
                            $html_close
                    );
                }
            }
            
            echo $script_close = '
            <script type="text/javascript">
            function popup_close(pid) {
                jQuery("#popup_"+pid).css("display", "none");
            }
            
            function today_close(pid) {
                popup_close(pid);

                jQuery.cookie( "popup_'.$today.'_"+pid, "1" );
            }
            </script>';
        }
        wp_reset_postdata();
    }
}